xubuntu still pulls in Python2 via the python-gtk2-dev b-d in libappindicator

Bug #1848766 reported by Matthias Klose on 2019-10-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libappindicator (Ubuntu)
High
Unassigned
pygtk (Ubuntu)
High
Unassigned
xubuntu-meta (Ubuntu)
High
Xubuntu Bugs Team

Bug Description

xubuntu still pulls in Python2 via the python-gtk2-dev b-d in libappindicator. We don't want to have Python2 anymore in seeds and images. So either xubuntu should stop using libappindicator, or libappindicator should provide Python3 packages.

Matthias Klose (doko) on 2019-10-18
Changed in libappindicator (Ubuntu):
importance: Undecided → High
Changed in pygtk (Ubuntu):
importance: Undecided → High
Changed in xubuntu-meta (Ubuntu):
importance: Undecided → High
assignee: nobody → Xubuntu Bugs Team (xubuntu-bugs)
tags: added: rls-ff-incoming
Sean Davis (bluesabre) wrote :

Hey @doko,

From what I can tell, we're not shipping libappindicator at all in focal. Can you elaborate where this is coming from?

http://cdimage.ubuntu.com/xubuntu/daily-live/current/focal-desktop-amd64.manifest

Matthias Klose (doko) wrote :

just run: seeded-in-ubuntu python2.7

Sean Davis (bluesabre) wrote :

Thanks. jbicha referred to https://bugs.launchpad.net/ubuntu/+source/libappindicator/+bug/1740637 and mentioned that the python2 support is going to be dropped from libappindicator, so this should no longer be an issue for Xubuntu. Thanks for bringing it to my attention!

Changed in xubuntu-meta (Ubuntu):
status: New → Invalid
Changed in pygtk (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers